#!/usr/bin/php -q
<?php
/**
 * Program to run a specific command on all judges using ssh.
 * 
 * Usage: $0 <program>
 *
 * $Id: runssh_judges.php 732 2005-02-23 17:31:37Z nkp0405 $
 */
	require ('../etc/config.php');

	define ('SCRIPT_ID', 'runssh_judges');
	define ('LOGFILE', LOGDIR.'/check.log');

	require (SYSTEM_ROOT . '/lib/init.php');

	$argv = $_SERVER['argv'];
	
	$program = @$argv[1];

	if ( ! $program ) error("No program specified");

	logmsg(LOG_DEBUG, "running program '$program'");

	$judges = $DB->q('COLUMN SELECT judgerid FROM judger');

	foreach($judges as $judge) {
		logmsg(LOG_DEBUG, "running on judge '$judge'");
		system("ssh $judge $program",$exitcode);
		if ( $exitcode != 0 ) {
			logmsg(LOG_NOTICE, "on '$judge': exitcode $exitcode");
		}
	}

	logmsg(LOG_NOTICE, "finished");

	exit;
